cURL
curl --request POST \ --url https://api.weryai.com/v1/generation/video-face-change \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "video_url": "https://example.com/video.mp4", "image_url": "https://example.com/face.jpg" } '
{ "status": 0, "desc": "success", "message": "success", "data": { "batch_id": 123456789, "task_ids": [ "task_abc123" ] } }
Replace the face in a video with the face from a provided image
Authenticate using Bearer token. Get your API Key from the WeryAI Console.
Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Source video URL
"https://example.com/video.mp4"
Image URL containing the target face
"https://example.com/face.jpg"
Task submitted successfully
Business status code (0 indicates success)
0
Status description
"success"
Multi-language message
Show child attributes